import request from '@/utils/request'
import qs from 'qs'

export const HttpReq = {
  // 后台管理接口列表
  backstageApi: {
    // 获取所有软件工具
    addApp: function(data) {
      return request({
        url: 'apps/add',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    getAppAll: function(params) {
      return request({
        url: 'apps/getApp?' + qs.stringify(params, { indices: false }),
        method: 'get'
      })
    },
    updateIfUpApp: function(data) {
      return request({
        url: 'apps/updateIfUp',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    getAdvertList: function(params) {
      return request({
        url: 'word/getAll?' + qs.stringify(params, { indices: false }),
        method: 'get'
      })
    },
    updateIfUpAdvert: function(data) {
      return request({
        url: 'word/updateIfUp',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    // 获取所有软件工具
    addAdvert: function(data) {
      return request({
        url: 'word/add',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    getWeixinlinkList: function(params) {
      return request({
        url: 'weixinlink/getAll?' + qs.stringify(params, { indices: false }),
        method: 'get'
      })
    },
    addWeixinlink: function(data) {
      return request({
        url: 'weixinlink/add',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    updateWeixinlink: function(data) {
      return request({
        url: 'weixinlink/update',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    api: null
  },
  // web端接口列表
  webClientApi: {
  }
}

